#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 46. Printing

- Prev

  libcupsfilters-2.1.1

- Next

  Scanning

- Up
- Home

# libppd-2.1.1

## Introduction to libppd

The libppd library contains functions for handling legacy printers using PPD description files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/OpenPrinting/libppd/releases/download/2.1.1/libppd-2.1.1.tar.xz

- Download MD5 sum: 65accc86f9956a1160937b14e0f516a6

- Download size: 576 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: less than 0.1 SBU (Using parallelism=4; with tests)

### libppd Dependencies

#### Required

libcupsfilters-2.1.1

## Installation of libppd

Install libppd by running the following commands:

    ./configure --prefix=/usr                \
                --disable-static             \
                --with-cups-rundir=/run/cups \
                --enable-ppdc-utils          \
                --docdir=/usr/share/doc/libppd-2.1.1 &&
    make

To test the results, issue make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-cups-rundir=/run/cups`: Defines the directory containing transient printing data. The default `/var/run/cups` is obsolete.

`--enable-ppdc-utils`: Allows building utilities to manipulate .ppd files.

## Contents

Installed Programs: ppdc, ppdhtml, ppdi, ppdmerge, and ppdpo
Installed Libraries: libppd.so
Installed Directories: /usr/include/ppd, /usr/share/ppdc, and /usr/share/doc/libppd-2.1.1

### Short Descriptions

ppdc | compiles PPDC source files into one or more PPD files
ppdhtml | reads a driver information file and produces a HTML summary page that lists all of the drivers in a file and the supported options
ppdi | imports one or more PPD files into a PPD compiler source file
ppdmerge | merges two or more PPD files into a single, multi-language PPD file
ppdpo | extracts UI strings from PPDC source files and updates either a GNU gettext or Mac OS X strings format message catalog source file for translation
`libppd.so` | contains API functions for manipulating .ppd files

- Prev

  libcupsfilters-2.1.1

- Next

  Scanning

- Up
- Home